__UIO_REGISTER_DEVIC(9)

NAME
__uio_register_device - register a new userspace IO device

SYNOPSIS

int __uio_register_device(struct module * owner, struct device * parent, struct uio_info * info);

ARGUMENTS

owner
    module that creates the new device

parent
    parent device

info
    UIO device capabilities

DESCRIPTION

returns zero on success or a negative error code.

COPYRIGHT